Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.http
Class HttpMessageAdapter

    java.lang.Object
      org.mule.transport.AbstractMessageAdapter
          org.mule.transport.http.HttpMessageAdapter

All Implemented Interfaces:
  Serializable, ThreadSafeAccess, MessageAdapter, MessageAdapterSerialization

    public class HttpMessageAdapter

extends AbstractMessageAdapter
implements MessageAdapterSerialization

`HttpMessageAdapter` Wraps an incoming Http Request making the payload and headers available as standard message adapter.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.mule.transport.MessageAdapterSerialization
`MessageAdapterSerialization.Type`

Nested classes/interfaces inherited from interface org.mule.api.ThreadSafeAccess
`ThreadSafeAccess.AccessControl`

Field Summary
`protected boolean` | `http11`
`protected Object` | `message`

Fields inherited from class org.mule.transport.AbstractMessageAdapter
`attachments, exceptionPayload, id, logger, properties`

Fields inherited from interface org.mule.api.ThreadSafeAccess
`READ, WRITE`

Constructor Summary
`protected` | `HttpMessageAdapter(HttpMessageAdapter template)`
`` | `HttpMessageAdapter(Object message)`

Method Summary
`Header` | `getHeader(String name)` Deprecated. use getStringProperty
`Object` | `getPayload()`
`byte[]` | `getPayloadForSerialization()`
`ThreadSafeAccess` | `newThreadCopy()`

Methods inherited from class org.mule.transport.AbstractMessageAdapter
`addAttachment, addInboundProperties, addProperties, addProperties, assertAccess, clearProperties, getAttachment, getAttachmentNames, getBooleanProperty, getCorrelationGroupSize, getCorrelationId, getCorrelationSequence, getDoubleProperty, getEncoding, getExceptionPayload, getIntProperty, getLongProperty, getProperty, getProperty, getProperty, getPropertyNames, getPropertyNames, getReplyTo, getStringProperty, getUniqueId, isDisabled, newException, release, removeAttachment, removeProperty, resetAccessControl, setBooleanProperty, setCorrelationGroupSize, setCorrelationId, setCorrelationSequence, setDoubleProperty, setEncoding, setExceptionPayload, setIntProperty, setLongProperty, setProperty, setProperty, setReplyTo, setStringProperty, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### http11

    protected boolean http11

### message

    protected Object message

Constructor Detail

### HttpMessageAdapter

    public HttpMessageAdapter(Object message)

### HttpMessageAdapter

    protected HttpMessageAdapter(HttpMessageAdapter template)

Method Detail

### getPayload

    public Object getPayload()

  Specified by:
    `getPayload` in interface `MessageAdapter`
  Returns:
    the current message

### getHeader

    @Deprecated
    public Header getHeader(String name)

  Deprecated. use getStringProperty

### newThreadCopy

    public ThreadSafeAccess newThreadCopy()

  Description copied from class: `AbstractMessageAdapter`

  Specified by:
    `newThreadCopy` in interface `ThreadSafeAccess`
  Overrides:
    `newThreadCopy` in class `AbstractMessageAdapter`
  Returns:
    A new instance of the implementing class, unbound to any thread and mutable.

### getPayloadForSerialization

    public byte[] getPayloadForSerialization()
                                      throws Exception

  Specified by:
    `getPayloadForSerialization` in interface `MessageAdapterSerialization`
  Returns:
    The payload of this MessageAdapter as bytes.
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.